Create one transformation flow definition

post

/fscmRestApi/resources/11.13.18.05/transformationFlows

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Transform Flows
Type: array
Title: Transform Flows
A specific version of a Transformation Flow Definition. It contains the transformation artifacts such as mapping file and mapping function file required to transform a source business message into the target format.
Show Source
Nested Schema : transformationFlows-transformFlow-item-post-request
Type: object
Show Source
Nested Schema : Variants
Type: array
Title: Variants
An implementation of a Transform Flow version. A Variant inherits the configuration of its parent Transform Flow while allowing modifications to the transformation and mapping logic.
Show Source
Nested Schema : transformationFlows-transformFlow-variants-item-post-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : transformationFlows-item-response
Type: object
Show Source
  • Maximum Length: 80
    Code that identifies the transformation flow definition.
  • Maximum Length: 240
    Name of the transformation flow definition.
  • Links
  • Transform Flows
    Title: Transform Flows
    A specific version of a Transformation Flow Definition. It contains the transformation artifacts such as mapping file and mapping function file required to transform a source business message into the target format.
  • Read Only: true
    Unique identifier of the transformation flow definition.
Nested Schema : Transform Flows
Type: array
Title: Transform Flows
A specific version of a Transformation Flow Definition. It contains the transformation artifacts such as mapping file and mapping function file required to transform a source business message into the target format.
Show Source
Nested Schema : transformationFlows-transformFlow-item-response
Type: object
Show Source
Nested Schema : Variants
Type: array
Title: Variants
An implementation of a Transform Flow version. A Variant inherits the configuration of its parent Transform Flow while allowing modifications to the transformation and mapping logic.
Show Source
Nested Schema : transformationFlows-transformFlow-variants-item-response
Type: object
Show Source
Back to Top